_PayloadType Struct Reference

## Data Fields

int | type
int | clock_rate
char | bits_per_sample
char * | zero_pattern
int | pattern_length
int | normal_bitrate
char * | mime_type
int | channels
char * | recv_fmtp
char * | send_fmtp
int | flags
void * | user_data

## Field Documentation

int _PayloadType::channels

number of channels of audio

int _PayloadType::clock_rate

rtp clock rate

Referenced by rtp_session_get_current_recv_ts(), and rtp_session_get_current_send_ts().

char* _PayloadType::mime_type

actually the submime, ex: pcm, pcma, gsm

Referenced by payload_type_destroy().

int _PayloadType::type

one of PAYLOAD_* macros

The documentation for this struct was generated from the following file:

- /build/jenkins/v2016.12/machine/qemux86/build/tmp-angstrom-glibc/work/i586-angstrom-linux/ortp/0.16.5-r1.1/ortp-0.16.5/include/ortp/payloadtype.h